Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCORBA::ThreadpoolPolicy Interface Reference

`#include <RTCORBAC.h>`

Inheritance diagram for RTCORBA::ThreadpoolPolicy:

[legend]
Collaboration diagram for RTCORBA::ThreadpoolPolicy:

[legend]
List of all members.

## Public Types
typedef ThreadpoolPolicy_ptr | _ptr_type
typedef ThreadpoolPolicy_var | _var_type
## Public Methods
virtual RTCORBA::ThreadpoolId | threadpool (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void * | _tao_QueryInterface (ptr_arith_t type)
virtual const char * | _interface_repository_id (void) const
## Static Public Methods
ThreadpoolPolicy_ptr | _duplicate (ThreadpoolPolicy_ptr obj)
ThreadpoolPolicy_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
ThreadpoolPolicy_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
ThreadpoolPolicy_ptr | _nil (void)
## Public Attributes
readonly attribute ThreadpoolId | threadpool
## Static Public Attributes
int | _tao_class_id
## Protected Methods
| ThreadpoolPolicy (void)
virtual | ~ThreadpoolPolicy (void)
## Private Methods
| ThreadpoolPolicy (const ThreadpoolPolicy &)
void | operator= (const ThreadpoolPolicy &)

## Member Typedef Documentation

typedef ThreadpoolPolicy_ptr RTCORBA::ThreadpoolPolicy::_ptr_type

| Reimplemented from CORBA::Policy.

typedef ThreadpoolPolicy_var RTCORBA::ThreadpoolPolicy::_var_type

| Reimplemented from CORBA::Policy.

## Constructor & Destructor Documentation

RTCORBA::ThreadpoolPolicy::ThreadpoolPolicy | ( | void |  | ) | `[protected]`

virtual RTCORBA::ThreadpoolPolicy::~ThreadpoolPolicy | ( | void |  | ) | `[protected, virtual]`

RTCORBA::ThreadpoolPolicy::ThreadpoolPolicy | ( | const ThreadpoolPolicy & |  | ) | `[private]`

## Member Function Documentation

ThreadpoolPolicy_ptr RTCORBA::ThreadpoolPolicy::_duplicate | ( | ThreadpoolPolicy_ptr | obj | ) | `[static]`

virtual const char* RTCORBA::ThreadpoolPolicy::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Policy.

ThreadpoolPolicy_ptr RTCORBA::ThreadpoolPolicy::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from CORBA::Policy.

ThreadpoolPolicy_ptr RTCORBA::ThreadpoolPolicy::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from CORBA::Policy.

virtual void* RTCORBA::ThreadpoolPolicy::_tao_QueryInterface | ( | ptr_arith_t | type | ) | `[virtual]`

| Reimplemented from CORBA::Policy.

ThreadpoolPolicy_ptr RTCORBA::ThreadpoolPolicy::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from CORBA::Policy.

void RTCORBA::ThreadpoolPolicy::operator= | ( | const ThreadpoolPolicy & |  | ) | `[private]`

virtual RTCORBA::ThreadpoolId RTCORBA::ThreadpoolPolicy::threadpool | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_ThreadpoolPolicy.

## Member Data Documentation

int RTCORBA::ThreadpoolPolicy::_tao_class_id`[static]`

| Reimplemented from CORBA::Policy.

readonly attribute ThreadpoolId RTCORBA::ThreadpoolPolicy::threadpool

The documentation for this interface was generated from the following files:

- RTCORBA.pidl
- RTCORBAC.h